/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed } from '@angular/core/testing';
import { Component } from '@angular/core';
import { BciDropdownPositionSetterDirective } from './bci-dropdown-position-setter.directive';

@Component({
  template: '<div bciDropdownPlaceSetter></div>',
})
class TestComponent {}

describe('BciDropdownPlaceSetterDirective', () => {
  let fixture: ComponentFixture<TestComponent>;

  beforeEach(() => {
    TestBed.configureTestingModule({
      declarations: [TestComponent],
      imports: [BciDropdownPositionSetterDirective]
    });
    fixture = TestBed.createComponent(TestComponent);
  });

  it('should create an instance', () => {
    const directive = fixture.debugElement.nativeElement.querySelector('[bciDropdownPlaceSetter]');
    expect(directive).toBeTruthy();
  });
});
